# ComponentIdentifier

interface ComponentIdentifier

An opaque immutable identifier for a component instance. There are various sub-interfaces that expose specific details about the identifier.

#### Since

1.10

#### Inheritors

LibraryBinaryIdentifier
RootComponentIdentifier
ProjectComponentIdentifier
ModuleComponentIdentifier

## Functions

getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
Returns a human-consumable display name for this identifier.